#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);
    int x,y,x1,y1;
    cin>>x>>y;
    string rez="";
    if(x>y)
    {
        while(x>0)
        {
            x1=x%10;
            y1=y%10;
            if(y<1)
            {
                y1=-1;
            }
            if(x1>y1)
            {
                rez+=to_string(x1);
            }
            if(x1<y1)
            {
                rez+=to_string(y1);
            }
            if(x1==y1)
            {
                rez+=to_string(y1);
                rez+=to_string(y1);
            }
            x/=10;
            y/=10;
        }

    }
    else
    {
        while(y>0)
        {
            x1=x%10;
            y1=y%10;
            if(x<1)
            {
                x1=-1;
            }
            if(x1>y1)
            {
                rez+=to_string(x1);
            }
            if(x1<y1)
            {
                rez+=to_string(y1);
            }
            if(x1==y1)
            {
                rez+=to_string(y1);
                rez+=to_string(y1);
            }
            x/=10;
            y/=10;
        }
    }
    int duz=rez.length();
    for(int i=duz-1;i>=0;i--)
        cout<<rez[i];
}